Subject: Re: [PATCH] Support tags in uncommit - use git_id instead of rev_parse

From: Pavel Roskin <[email-masked]>
Date: Wed, 03 Oct 2007 17:44:52 -0400

On Wed, 2007-10-03 at 21:35 +0100, Catalin Marinas wrote:

> Without this patch, the 'stg uncommit -t patch' fails with 'Unknown
> revision: patch'. With the patch applied, it still fails but with
> 'Commit ... does not have exactly one parent'. I don't say that the
> first one is good but I don't think the latter is clearer. The 'stg
> uncommit --help' states that the '--to' option takes a commit argument
> but if one passes a patch name the error message gets pretty
> confusing.

Actually, 'Commit ... does not have exactly one parent' means that stg
misinterpreted the patch name as some non-existing hash and started
iterating back until it hit the first merge.

Perhaps stgit should make sure that the hash is valid before walking the
commit tree.  If it's not, stgit could provide a better message.

-- 
Regards,
Pavel Roskin